> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Verifications

> List all verifications for the authenticated company.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/verification/
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/verification/:
    get:
      tags:
        - Verification
      summary: List Verifications
      description: List all verifications for the authenticated company.
      operationId: list_verifications_v1_verification__get
      parameters:
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: After
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Before
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: order
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Order
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_VerificationResponseSchema_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    PaginatedResponse_VerificationResponseSchema_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/VerificationResponseSchema'
          type: array
          title: Data
        first_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: First Id
        last_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Last Id
        has_more:
          type: boolean
          title: Has More
        current_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Page
        total_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Pages
      type: object
      required:
        - data
        - has_more
      title: PaginatedResponse[VerificationResponseSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VerificationResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        notification_email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Notification Email
        status:
          $ref: '#/components/schemas/VerificationStatus'
        status_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Reason
      type: object
      required:
        - id
        - status
      title: VerificationResponseSchema
      description: Response schema for verification info.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VerificationStatus:
      type: string
      enum:
        - pending
        - verified
        - rejected
      title: VerificationStatus
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````